{* Smarty *}
{if $gedcom}
<h3>{$smarty.const.LN_INCOMPLETE_GEDCOM_EXPORTS}</h3>
{* To enable AJAX this table must have an id of "gedcoms" and each gedcom must be between it's own tbody tags *}
<table id="gedcoms">
<thead>
<tr>
	<th>{$smarty.const.LN_GEDCOM}</th>
	<th>{$smarty.const.LN_SIZE}</th>
	<th>{$smarty.const.LN_DATE}</th>
	<th></th>
	<th></th>
</tr>
</thead>
{foreach from=$gedcom item=i key=k}
<tbody>
	<tr>
		<td rowspan="2">{$k}</td>
		<td rowspan="2">{$i.size}</td>
		<td rowspan="2">{$i.last}</td>
		<td>{if $i.complete}<div class="complete warning">{$i.complete}</div>{/if}</td>
		<td rowspan="2">
			<a href="{$smarty.const.CF_BASE_URL}download/gedcom/{$k}">{$smarty.const.LN_DOWNLOAD}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}deletegedcom/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
	<tr>
		<td>
			{if $i.complete == $smarty.const.LN_NO}
				<form action="{$smarty.const.CF_BASE_URL}export" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="i" value="{$k}" /><input type="hidden" name="tr" value="{$i.tid}" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>{/if}
{if $tree}
<h3>{$smarty.const.LN_INCOMPLETE_GEDCOM_IMPORTS}</h3>
{* To enable AJAX this table must have an id of "trees" and each tree must be between it's own tbody tags *}
<table id="trees">
<thead>
	<tr>
		<th>{$smarty.const.LN_NAME}</th>
		<th>{$smarty.const.LN_GEDCOM}</th>
		<th></th>
	</tr>
</thead>
{foreach from=$tree item=i key=k}
<tbody>
	<tr>
		<td>{$i.name}</a></td>
		<td>{if $i.file}{$i.file} ({$i.software} - {$i.charset}){/if}</td>
		<td>{if $i.complete}<div class="complete warning">{$i.complete}</div>{/if}</td>
	</tr>
	<tr>
		<td><strong>{$smarty.const.LN_LAST_UPDATED}:</strong> {$i.last}</td>
		<td>
			<strong>{$smarty.const.LN_CONC_SPACES_SHORT}</strong> {$i.spaces}<br />
			<strong>{$smarty.const.LN_SPFX_COUNT_SHORT}:</strong> {$i.spfx_count}<br />
			<strong>{$smarty.const.LN_IMPORT_OBJE_SHORT}:</strong> {$i.media}<br />
			<strong>{$smarty.const.LN_MEDIA_LEVELS_SHORT}:</strong> {$i.media_levels}
		</td>
		<td>
			{if $i.process == 1}
				<form action="{$smarty.const.CF_BASE_URL}import" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$i.file}" /><input type="hidden" name="tr" value="{$k}" /><input type="hidden" name="rs" value="1" /><input type="hidden" name="nrp" value="0" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{elseif $i.process == 2}
				<form action="{$smarty.const.CF_BASE_URL}import" method="post"><input type="hidden" name="s" value="1" /><input type="hidden" name="gd" value="{$i.file}" /><input type="hidden" name="tr" value="{$k}" /><input type="hidden" name="rs" value="0" /><input type="hidden" name="nrp" value="1" /><input type="submit" name="submit" value="{$smarty.const.LN_CONTINUE}" /></form>
			{/if}
			{if $i.process == 3}
				<a href="{$smarty.const.CF_BASE_URL}deletetree/{$k}">{$smarty.const.LN_CONTINUE}</a>
			{else}
				<a href="{$smarty.const.CF_BASE_URL}deletetree/{$k}">{$smarty.const.LN_DELETE}</a>
			{/if}
		</td>
	</tr>
</tbody>
{/foreach}
</table>{/if}
{if $user}
<h3>{$smarty.const.LN_UNAPPROVED_USERS}</h3>
{* To enable AJAX this table must have an id of "users" and each user must be between it's own tbody tags *}
<table id="users">
<thead>
	<tr>
		<th>{$smarty.const.LN_USER}</th>
		<th>{$smarty.const.LN_DATE}</th>
		<th>{$smarty.const.LN_USER_TYPE}</th>
		<th>{$smarty.const.LN_APPROVED}</th>
	</tr>
</thead>
{foreach from=$user item=i key=k}
<tbody>
	<tr>
		<td><strong><a href="{$smarty.const.CF_BASE_URL}edituser/{$k}">{$i.username}</a></strong></td>
		<td>{$i.date}</td>
		<td>{$i.type}</td>
		<td>{if $i.approved}{$smarty.const.LN_YES}{else}{$smarty.const.LN_NO}{/if}</td>
	</tr>
	<tr>
		<td>
			<strong>{$smarty.const.LN_EMAIL}:</strong> <a href="mailto:{$i.email}">{$i.email}</a><br />
			<strong>{$smarty.const.LN_ADDRESS}:</strong> {$i.address1} {$i.address2} {$i.place} {$i.zip} {$i.country}<br />
			<strong>{$smarty.const.LN_COMMENT}:</strong> <em>{$i.comment}</em><br />
		</td>
		<td colspan="2">
			<strong>{$smarty.const.LN_USER_LAST_LOGIN}:</strong> {$i.last}<br />
			<strong>{$smarty.const.LN_LANG}:</strong> {$i.lang}<br />
		</td>
		<td>
			{if !$i.approved}<a href="{$i.approve}">{$smarty.const.LN_APPROVE}</a><br />{/if}
			<a href="{$smarty.const.CF_BASE_URL}edituser/{$k}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}deleteuser/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
</table>
{/if}
{if $comm}
<h3>{$smarty.const.LN_UNAPPROVED_COMMENTS}</h3>
{* To enable AJAX this table must have an id of "comments" and each user must be between it's own tbody tags *}
<table id="comments">
<thead>
	<tr>
		<th>{$smarty.const.LN_USER}</th>
		<th>{$smarty.const.LN_DATE}</th>
		<th>{$smarty.const.LN_COMMENT}</th>
		<th>{$smarty.const.LN_APPROVED}</th>
	</tr>
</thead>
{foreach from=$comm item=i key=k}
<tbody>
	<tr>
		<td>{if $i.uid}<a href="{$smarty.const.CF_BASE_URL}edituser/{$i.uid}">{$i.name}</a>{else}{$i.name}{/if}</td>
		<td>{$i.date}</td>
		<td>
			{if $i.type == 'page'}{$smarty.const.LN_PAGE}: <a href="{$i.linked.url}">{$i.linked.title}</a>
			{elseif $i.type == 'post'}{$smarty.const.LN_POST}: <a href="{$i.linked.url}">{$i.linked.title}</a>
			{else}
			{if $i.linked.record == 'person'}{$smarty.const.LN_PERSON}: <a href="{$i.linked.url}">{$i.linked.givn} {$i.linked.spfx_surn}</a> {if $i.linked.begi or $i.linked.end}({$i.linked.begi}-{$i.linked.end}){/if}{/if}
			{if $i.linked.record == 'fam'}{$smarty.const.LN_FAMILY}: {if $i.linked.husb}<a href="{$i.linked.husb.url}">{$i.linked.husb.npfx} {$i.linked.husb.givn} {$i.linked.husb.spfx_surn} {$i.linked.husb.nsfx}</a>{/if} & {if $i.linked.wife}<a href="{$i.linked.wife.url}">{$i.linked.wife.npfx} {$i.linked.wife.givn} {$i.linked.wife.spfx_surn} {$i.linked.wife.nsfx}</a>{/if}{/if}
			{if $i.linked.record == 'event'}{$smarty.const.LN_EVENT}: <a href="{$i.linked.url}">{$i.linked.type}: {$i.linked.value} {$i.linked.date} {$i.linked.plac}</a>{/if}
			{if $i.linked.record == 'media'}{$smarty.const.LN_MEDIA}: <a href="{$i.linked.url}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'note'}{$smarty.const.LN_NOTE}: <a href="{$i.linked.url}">{$i.linked.titl}</a>{/if}
			{if $i.linked.record == 'source'}{$smarty.const.LN_SOURCE}: <a href="{$i.linked.url}">{$i.linked.abbr}</a>{/if}
			{if $i.linked.record == 'repository'}{$smarty.const.LN_REPOSITORY}: <a href="{$i.linked.url}">{$i.linked.name}</a>{/if}
			{/if}
		</td>
		<td>{$i.approved}</td>
	</tr>
	<tr>
		<td colspan="3"><strong>{$smarty.const.LN_TEXT}:</strong> {$i.text|strip_tags|truncate:200:"...":false}</td>
		<td>
			<a href="{$i.approve}">{$smarty.const.LN_APPROVE}</a><br />
			<a href="{$i.edit}">{$smarty.const.LN_EDIT}</a><br />
			<a href="{$i.delete}">{$smarty.const.LN_DELETE}</a><br />
			<a href="{$smarty.const.CF_BASE_URL}i/{$i.linked.ltid}/{$i.linked.lid}">{$smarty.const.LN_REPLY}</a>
		</td>
	</tr>
</tbody>
{/foreach}
</table>
{/if}
{if $admin}
<h3>Family Tree PHP</h3>
<h4><a href="http://www.familytreephp.com" target="_blank">familytreephp.com</a></h4>
<script src="http://feeds2.feedburner.com/familytreephp?format=sigpro" type="text/javascript" ></script><noscript><p>Subscribe to RSS headline updates from: <a href="http://feeds2.feedburner.com/familytreephp"></a><br/>Powered by FeedBurner</p> </noscript>
{/if}